Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.binary.visitor
Class ChildElementFinder

    java.lang.Object
      org.kohsuke.rngom.binary.visitor.PatternWalker
          org.kohsuke.rngom.binary.visitor.ChildElementFinder

All Implemented Interfaces:
  PatternVisitor

    public class ChildElementFinder

extends PatternWalker

Visits a pattern and creates a list of possible child elements.

One can use a similar technique to introspect a pattern.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Nested Class Summary
`static class` | `ChildElementFinder.Element` Represents a child element.

Constructor Summary
`ChildElementFinder()`

Method Summary
`java.util.Set` | `getChildren()` Returns a set of `ChildElementFinder.Element`.
`void` | `visitAttribute(NameClass ns, Pattern value)`
`void` | `visitElement(NameClass nc, Pattern content)`
`void` | `visitList(Pattern p)`

Methods inherited from class org.kohsuke.rngom.binary.visitor.PatternWalker
`visitAfter, visitBinary, visitChoice, visitData, visitDataExcept, visitEmpty, visitError, visitGroup, visitInterleave, visitNotAllowed, visitOneOrMore, visitText, visitValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildElementFinder

    public ChildElementFinder()

Method Detail

### getChildren

    public java.util.Set getChildren()

  Returns a set of `ChildElementFinder.Element`.

### visitElement

    public void visitElement(NameClass nc,
                             Pattern content)

  Specified by:
    `visitElement` in interface `PatternVisitor`
  Overrides:
    `visitElement` in class `PatternWalker`

### visitAttribute

    public void visitAttribute(NameClass ns,
                               Pattern value)

  Specified by:
    `visitAttribute` in interface `PatternVisitor`
  Overrides:
    `visitAttribute` in class `PatternWalker`

### visitList

    public void visitList(Pattern p)

  Specified by:
    `visitList` in interface `PatternVisitor`
  Overrides:
    `visitList` in class `PatternWalker`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD